Magick++: Magick::Image Class Reference

Magick++ 6.9.6

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
Magick::Image Class Reference

`#include <Image.h>`

## Classes
struct | _ImageChannelStatistics
struct | _ImageStatistics

## Public Types
typedef struct Magick::Image::_ImageChannelStatistics | ImageChannelStatistics
typedef struct Magick::Image::_ImageStatistics | ImageStatistics

## Public Member Functions
| Image (void)
| Image (const Blob &blob_)
| Image (const Blob &blob_, const Geometry &size_)
| Image (const Blob &blob_, const Geometry &size_, const size_t depth_)
| Image (const Blob &blob_, const Geometry &size_, const size_t depth_, const std::string &magick_)
| Image (const Blob &blob_, const Geometry &size_, const std::string &magick_)
| Image (const Geometry &size_, const Color &color_)
| Image (const Image &image_)
| Image (const Image &image_, const Geometry &geometry_)
| Image (const size_t width_, const size_t height_, const std::string &map_, const StorageType type_, const void *pixels_)
| Image (const std::string &imageSpec_)
virtual | ~Image ()
Image & | operator= (const Image &image_)
void | adjoin (const bool flag_)
bool | adjoin (void) const
void | antiAlias (const bool flag_)
bool | antiAlias (void) const
void | animationDelay (const size_t delay_)
size_t | animationDelay (void) const
void | animationIterations (const size_t iterations_)
size_t | animationIterations (void) const
void | attenuate (const double attenuate_)
void | backgroundColor (const Color &color_)
Color | backgroundColor (void) const
void | backgroundTexture (const std::string &backgroundTexture_)
std::string | backgroundTexture (void) const
size_t | baseColumns (void) const
std::string | baseFilename (void) const
size_t | baseRows (void) const
void | blackPointCompensation (const bool flag_)
bool | blackPointCompensation (void) const
void | borderColor (const Color &color_)
Color | borderColor (void) const
Geometry | boundingBox (void) const
void | boxColor (const Color &boxColor_)
Color | boxColor (void) const
void | classType (const ClassType class_)
ClassType | classType (void) const
void | clipMask (const Image &clipMask_)
Image | clipMask (void) const
void | colorFuzz (const double fuzz_)
double | colorFuzz (void) const
void | colorMapSize (const size_t entries_)
size_t | colorMapSize (void) const
void | colorSpace (const ColorspaceType colorSpace_)
ColorspaceType | colorSpace (void) const
void | colorspaceType (const ColorspaceType colorSpace_)
ColorspaceType | colorspaceType (void) const
size_t | columns (void) const
void | comment (const std::string &comment_)
std::string | comment (void) const
void | compose (const CompositeOperator compose_)
CompositeOperator | compose (void) const
void | compressType (const CompressionType compressType_)
CompressionType | compressType (void) const
void | debug (const bool flag_)
bool | debug (void) const
void | density (const Geometry &geomery_)
Geometry | density (void) const
void | depth (const size_t depth_)
size_t | depth (void) const
std::string | directory (void) const
void | endian (const EndianType endian_)
EndianType | endian (void) const
void | exifProfile (const Blob &exifProfile_)
Blob | exifProfile (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
off_t | fileSize (void) const
void | fillColor (const Color &fillColor_)
Color | fillColor (void) const
void | fillRule (const FillRule &fillRule_)
FillRule | fillRule (void) const
void | fillPattern (const Image &fillPattern_)
Image | fillPattern (void) const
void | filterType (const FilterTypes filterType_)
FilterTypes | filterType (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | fontFamily (const std::string &family_)
std::string | fontFamily (void) const
void | fontPointsize (const double pointSize_)
double | fontPointsize (void) const
void | fontStyle (const StyleType style_)
StyleType | fontStyle (void) const
void | fontWeight (const size_t weight_)
size_t | fontWeight (void) const
std::string | format (void) const
std::string | formatExpression (const std::string expression)
double | gamma (void) const
Geometry | geometry (void) const
void | gifDisposeMethod (const size_t disposeMethod_)
size_t | gifDisposeMethod (void) const
void | highlightColor (const Color color_)
void | iccColorProfile (const Blob &colorProfile_)
Blob | iccColorProfile (void) const
void | interlaceType (const InterlaceType interlace_)
InterlaceType | interlaceType (void) const
void | interpolate (const InterpolatePixelMethod interpolate_)
InterpolatePixelMethod | interpolate (void) const
void | iptcProfile (const Blob &iptcProfile_)
Blob | iptcProfile (void) const
bool | isOpaque (void) const
void | isValid (const bool isValid_)
bool | isValid (void) const
void | label (const std::string &label_)
std::string | label (void) const
void | lineWidth (const double lineWidth_)
double | lineWidth (void) const
void | lowlightColor (const Color color_)
void | magick (const std::string &magick_)
std::string | magick (void) const
void | mask (const Image &mask_)
Image | mask (void) const
void | matte (const bool matteFlag_)
bool | matte (void) const
void | matteColor (const Color &matteColor_)
Color | matteColor (void) const
double | meanErrorPerPixel (void) const
void | modulusDepth (const size_t modulusDepth_)
size_t | modulusDepth (void) const
void | monochrome (const bool monochromeFlag_)
bool | monochrome (void) const
Geometry | montageGeometry (void) const
double | normalizedMaxError (void) const
double | normalizedMeanError (void) const
void | orientation (const OrientationType orientation_)
OrientationType | orientation (void) const
void | page (const Geometry &pageSize_)
Geometry | page (void) const
void | penColor (const Color &penColor_)
Color | penColor (void) const
void | penTexture (const Image &penTexture_)
Image | penTexture (void) const
void | quality (const size_t quality_)
size_t | quality (void) const
void | quantizeColors (const size_t colors_)
size_t | quantizeColors (void) const
void | quantizeColorSpace (const ColorspaceType colorSpace_)
ColorspaceType | quantizeColorSpace (void) const
void | quantizeDither (const bool ditherFlag_)
bool | quantizeDither (void) const
void | quantizeDitherMethod (const DitherMethod ditherMethod_)
DitherMethod | quantizeDitherMethod (void) const
void | quantizeTreeDepth (const size_t treeDepth_)
size_t | quantizeTreeDepth (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | renderingIntent (const RenderingIntent renderingIntent_)
RenderingIntent | renderingIntent (void) const
void | resolutionUnits (const ResolutionType resolutionUnits_)
ResolutionType | resolutionUnits (void) const
size_t | rows (void) const
void | scene (const size_t scene_)
size_t | scene (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
void | strokeAntiAlias (const bool flag_)
bool | strokeAntiAlias (void) const
void | strokeColor (const Color &strokeColor_)
Color | strokeColor (void) const
void | strokeDashArray (const double *strokeDashArray_)
const double * | strokeDashArray (void) const
void | strokeDashOffset (const double strokeDashOffset_)
double | strokeDashOffset (void) const
void | strokeLineCap (const LineCap lineCap_)
LineCap | strokeLineCap (void) const
void | strokeLineJoin (const LineJoin lineJoin_)
LineJoin | strokeLineJoin (void) const
void | strokeMiterLimit (const size_t miterLimit_)
size_t | strokeMiterLimit (void) const
void | strokePattern (const Image &strokePattern_)
Image | strokePattern (void) const
void | strokeWidth (const double strokeWidth_)
double | strokeWidth (void) const
void | subImage (const size_t subImage_)
size_t | subImage (void) const
void | subRange (const size_t subRange_)
size_t | subRange (void) const
void | textDirection (DirectionType direction_)
DirectionType | textDirection () const
void | textEncoding (const std::string &encoding_)
std::string | textEncoding (void) const
void | textGravity (GravityType gravity_)
GravityType | textGravity () const
void | textInterlineSpacing (double spacing_)
double | textInterlineSpacing (void) const
void | textInterwordSpacing (double spacing_)
double | textInterwordSpacing (void) const
void | textKerning (double kerning_)
double | textKerning (void) const
void | textUnderColor (const Color &underColor_)
Color | textUnderColor (void) const
void | tileName (const std::string &tileName_)
std::string | tileName (void) const
size_t | totalColors (void) const
void | transformRotation (const double angle_)
void | transformSkewX (const double skewx_)
void | transformSkewY (const double skewy_)
void | type (const ImageType type_)
ImageType | type (void) const
void | verbose (const bool verboseFlag_)
bool | verbose (void) const
void | view (const std::string &view_)
std::string | view (void) const
void | virtualPixelMethod (const VirtualPixelMethod virtual_pixel_method_)
VirtualPixelMethod | virtualPixelMethod (void) const
void | x11Display (const std::string &display_)
std::string | x11Display (void) const
double | xResolution (void) const
double | yResolution (void) const
void | adaptiveBlur (const double radius_=0.0, const double sigma_=1.0)
void | adaptiveResize (const Geometry &geometry_)
void | adaptiveSharpen (const double radius_=0.0, const double sigma_=1.0)
void | adaptiveSharpenChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | adaptiveThreshold (const size_t width, const size_t height, const ::ssize_t offset=0)
void | addNoise (const NoiseType noiseType_)
void | addNoiseChannel (const ChannelType channel_, const NoiseType noiseType_)
void | affineTransform (const DrawableAffine &affine)
void | alphaChannel (AlphaChannelType alphaType_)
void | annotate (const std::string &text_, const Geometry &location_)
void | annotate (const std::string &text_, const Geometry &boundingArea_, const GravityType gravity_)
void | annotate (const std::string &text_, const Geometry &boundingArea_, const GravityType gravity_, const double degrees_)
void | annotate (const std::string &text_, const GravityType gravity_)
void | artifact (const std::string &name_, const std::string &value_)
std::string | artifact (const std::string &name_) const
void | attribute (const std::string name_, const char *value_)
void | attribute (const std::string name_, const std::string value_)
std::string | attribute (const std::string name_) const
void | autoGamma (void)
void | autoGammaChannel (const ChannelType channel_)
void | autoLevel (void)
void | autoLevelChannel (const ChannelType channel_)
void | autoOrient (void)
void | blackThreshold (const std::string &threshold_)
void | blackThresholdChannel (const ChannelType channel_, const std::string &threshold_)
void | blueShift (const double factor_=1.5)
void | blur (const double radius_=0.0, const double sigma_=1.0)
void | blurChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | border (const Geometry &geometry_=borderGeometryDefault)
void | brightnessContrast (const double brightness_=0.0, const double contrast_=0.0)
void | brightnessContrastChannel (const ChannelType channel_, const double brightness_=0.0, const double contrast_=0.0)
void | cannyEdge (const double radius_=0.0, const double sigma_=1.0, const double lowerPercent_=0.1, const double upperPercent_=0.3)
void | cdl (const std::string &cdl_)
void | channel (const ChannelType channel_)
void | channelDepth (const ChannelType channel_, const size_t depth_)
size_t | channelDepth (const ChannelType channel_)
void | charcoal (const double radius_=0.0, const double sigma_=1.0)
void | chop (const Geometry &geometry_)
void | chromaBluePrimary (const double x_, const double y_)
void | chromaBluePrimary (double *x_, double *y_) const
void | chromaGreenPrimary (const double x_, const double y_)
void | chromaGreenPrimary (double *x_, double *y_) const
void | chromaRedPrimary (const double x_, const double y_)
void | chromaRedPrimary (double *x_, double *y_) const
void | chromaWhitePoint (const double x_, const double y_)
void | chromaWhitePoint (double *x_, double *y_) const
void | clamp (void)
void | clampChannel (const ChannelType channel_)
void | clip (void)
void | clipPath (const std::string pathname_, const bool inside_)
void | clut (const Image &clutImage_)
void | clutChannel (const ChannelType channel_, const Image &clutImage_)
void | colorize (const unsigned int opacity_, const Color &penColor_)
void | colorize (const unsigned int opacityRed_, const unsigned int opacityGreen_, const unsigned int opacityBlue_, const Color &penColor_)
void | colorMap (const size_t index_, const Color &color_)
Color | colorMap (const size_t index_) const
void | colorMatrix (const size_t order_, const double *color_matrix_)
bool | compare (const Image &reference_)
double | compare (const Image &reference_, const MetricType metric_)
double | compareChannel (const ChannelType channel_, const Image &reference_, const MetricType metric_)
Image | compare (const Image &reference_, const MetricType metric_, double *distortion)
Image | compareChannel (const ChannelType channel_, const Image &reference_, const MetricType metric_, double *distortion)
void | composite (const Image &compositeImage_, const Geometry &offset_, const CompositeOperator compose_=InCompositeOp)
void | composite (const Image &compositeImage_, const GravityType gravity_, const CompositeOperator compose_=InCompositeOp)
void | composite (const Image &compositeImage_, const ::ssize_t xOffset_, const ::ssize_t yOffset_, const CompositeOperator compose_=InCompositeOp)
void | connectedComponents (const size_t connectivity_)
void | contrast (const size_t sharpen_)
void | contrastStretch (const double black_point_, const double white_point_)
void | contrastStretchChannel (const ChannelType channel_, const double black_point_, const double white_point_)
void | convolve (const size_t order_, const double *kernel_)
void | copyPixels (const Image &source_, const Geometry &geometry_, const Offset &offset_)
void | crop (const Geometry &geometry_)
void | cycleColormap (const ::ssize_t amount_)
void | decipher (const std::string &passphrase_)
void | defineSet (const std::string &magick_, const std::string &key_, bool flag_)
bool | defineSet (const std::string &magick_, const std::string &key_) const
void | defineValue (const std::string &magick_, const std::string &key_, const std::string &value_)
std::string | defineValue (const std::string &magick_, const std::string &key_) const
void | deskew (const double threshold_)
void | despeckle (void)
ImageType | determineType (void) const
void | display (void)
void | distort (const DistortImageMethod method_, const size_t number_arguments_, const double *arguments_, const bool bestfit_=false)
void | draw (const Drawable &drawable_)
void | draw (const std::list< Magick::Drawable > &drawable_)
void | edge (const double radius_=0.0)
void | emboss (const double radius_=0.0, const double sigma_=1.0)
void | encipher (const std::string &passphrase_)
void | enhance (void)
void | equalize (void)
void | erase (void)
void | extent (const Geometry &geometry_)
void | extent (const Geometry &geometry_, const Color &backgroundColor)
void | extent (const Geometry &geometry_, const Color &backgroundColor, const GravityType gravity_)
void | extent (const Geometry &geometry_, const GravityType gravity_)
void | flip (void)
void | floodFillColor (const Geometry &point_, const Color &fillColor_)
void | floodFillColor (const Geometry &point_, const Color &fillColor_, const bool invert_)
void | floodFillColor (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_)
void | floodFillColor (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const bool invert_)
void | floodFillColor (const Geometry &point_, const Color &fillColor_, const Color &borderColor_)
void | floodFillColor (const Geometry &point_, const Color &fillColor_, const Color &borderColor_, const bool invert_)
void | floodFillColor (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const Color &borderColor_)
void | floodFillColor (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const Color &borderColor_, const bool invert_)
void | floodFillOpacity (const ::ssize_t x_, const ::ssize_t y_, const unsigned int opacity_, const bool invert_=false)
void | floodFillOpacity (const ::ssize_t x_, const ::ssize_t y_, const unsigned int opacity_, const PaintMethod method_)
void | floodFillOpacity (const ::ssize_t x_, const ::ssize_t y_, const unsigned int opacity_, const Color &target_, const bool invert_=false)
void | floodFillTexture (const Geometry &point_, const Image &texture_)
void | floodFillTexture (const Geometry &point_, const Image &texture_, const bool invert_)
void | floodFillTexture (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_)
void | floodFillTexture (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const bool invert_)
void | floodFillTexture (const Geometry &point_, const Image &texture_, const Color &borderColor_)
void | floodFillTexture (const Geometry &point_, const Image &texture_, const Color &borderColor_, const bool invert_)
void | floodFillTexture (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const Color &borderColor_)
void | floodFillTexture (const ::ssize_t x_, const ::ssize_t y_, const Image &texture_, const Color &borderColor_, const bool invert_)
void | flop (void)
void | fontTypeMetrics (const std::string &text_, TypeMetric *metrics)
void | fontTypeMetricsMultiline (const std::string &text_, TypeMetric *metrics)
void | frame (const Geometry &geometry_=frameGeometryDefault)
void | frame (const size_t width_, const size_t height_, const ::ssize_t innerBevel_=6, const ::ssize_t outerBevel_=6)
void | fx (const std::string expression)
void | fx (const std::string expression, const Magick::ChannelType channel)
void | gamma (const double gamma_)
void | gamma (const double gammaRed_, const double gammaGreen_, const double gammaBlue_)
void | gaussianBlur (const double width_, const double sigma_)
void | gaussianBlurChannel (const ChannelType channel_, const double width_, const double sigma_)
const IndexPacket * | getConstIndexes (void) const
const PixelPacket * | getConstPixels (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_) const
IndexPacket * | getIndexes (void)
PixelPacket * | getPixels (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void | grayscale (const PixelIntensityMethod method_)
void | haldClut (const Image &clutImage_)
void | houghLine (const size_t width_, const size_t height_, const size_t threshold_=40)
void | implode (const double factor_)
void | inverseFourierTransform (const Image &phase_)
void | inverseFourierTransform (const Image &phase_, const bool magnitude_)
void | kuwahara (const double radius_=0.0, const double sigma_=1.0)
void | kuwaharaChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | level (const double black_point, const double white_point, const double mid_point=1.0)
void | levelChannel (const ChannelType channel, const double black_point, const double white_point, const double mid_point=1.0)
void | levelColors (const Color &blackColor_, const Color &whiteColor_, const bool invert_=true)
void | levelColorsChannel (const ChannelType channel_, const Color &blackColor_, const Color &whiteColor_, const bool invert_=true)
void | levelize (const double blackPoint_, const double whitePoint_, const double gamma_=1.0)
void | levelizeChannel (const ChannelType channel_, const double blackPoint_, const double whitePoint_, const double gamma_=1.0)
void | linearStretch (const double blackPoint_, const double whitePoint_)
void | liquidRescale (const Geometry &geometry_)
void | localContrast (const double radius_, const double strength_)
void | magnify (void)
void | map (const Image &mapImage_, const bool dither_=false)
void | matteFloodfill (const Color &target_, const unsigned int opacity_, const ::ssize_t x_, const ::ssize_t y_, const PaintMethod method_)
void | medianFilter (const double radius_=0.0)
void | mergeLayers (const ImageLayerMethod layerType_)
void | minify (void)
void | modulate (const double brightness_, const double saturation_, const double hue_)
ImageMoments | moments (void) const
void | morphology (const MorphologyMethod method_, const std::string kernel_, const ssize_t iterations_=1)
void | morphology (const MorphologyMethod method_, const KernelInfoType kernel_, const std::string arguments_, const ssize_t iterations_=1)
void | morphologyChannel (const ChannelType channel_, const MorphologyMethod method_, const std::string kernel_, const ssize_t iterations_=1)
void | morphologyChannel (const ChannelType channel_, const MorphologyMethod method_, const KernelInfoType kernel_, const std::string arguments_, const ssize_t iterations_=1)
void | motionBlur (const double radius_, const double sigma_, const double angle_)
void | negate (const bool grayscale_=false)
void | negateChannel (const ChannelType channel_, const bool grayscale_=false)
void | normalize (void)
void | oilPaint (const double radius_=3.0)
void | opacity (const unsigned int opacity_)
void | opaque (const Color &opaqueColor_, const Color &penColor_, const bool invert_=MagickFalse)
void | orderedDither (std::string thresholdMap_)
void | orderedDitherChannel (const ChannelType channel_, std::string thresholdMap_)
void | perceptible (const double epsilon_)
void | perceptibleChannel (const ChannelType channel_, const double epsilon_)
void | ping (const Blob &blob_)
void | ping (const std::string &imageSpec_)
void | pixelColor (const ::ssize_t x_, const ::ssize_t y_, const Color &color_)
Color | pixelColor (const ::ssize_t x_, const ::ssize_t y_) const
void | polaroid (const std::string &caption_, const double angle_)
void | posterize (const size_t levels_, const bool dither_=false)
void | posterizeChannel (const ChannelType channel_, const size_t levels_, const bool dither_=false)
void | process (std::string name_, const ::ssize_t argc_, const char **argv_)
void | profile (const std::string name_, const Blob &colorProfile_)
Blob | profile (const std::string name_) const
void | quantize (const bool measureError_=false)
void | quantumOperator (const ChannelType channel_, const MagickEvaluateOperator operator_, double rvalue_)
void | quantumOperator (const ChannelType channel_, const MagickFunction function_, const size_t number_parameters_, const double *parameters_)
void | quantumOperator (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_, const ChannelType channel_, const MagickEvaluateOperator operator_, const double rvalue_)
void | raise (const Geometry &geometry_=raiseGeometryDefault, const bool raisedFlag_=false)
void | randomThreshold (const Geometry &thresholds_)
void | randomThresholdChannel (const Geometry &thresholds_, const ChannelType channel_)
void | read (const Blob &blob_)
void | read (const Blob &blob_, const Geometry &size_)
void | read (const Blob &blob_, const Geometry &size_, const size_t depth_)
void | read (const Blob &blob_, const Geometry &size_, const size_t depth_, const std::string &magick_)
void | read (const Blob &blob_, const Geometry &size_, const std::string &magick_)
void | read (const Geometry &size_, const std::string &imageSpec_)
void | read (const size_t width_, const size_t height_, const std::string &map_, const StorageType type_, const void *pixels_)
void | read (const std::string &imageSpec_)
void | readPixels (const QuantumType quantum_, const unsigned char *source_)
void | reduceNoise (void)
void | reduceNoise (const double order_)
void | repage ()
void | resample (const Geometry &geometry_)
void | resize (const Geometry &geometry_)
void | roll (const Geometry &roll_)
void | roll (const size_t columns_, const size_t rows_)
void | rotate (const double degrees_)
void | rotationalBlur (const double angle_)
void | rotationalBlurChannel (const ChannelType channel_, const double angle_)
void | sample (const Geometry &geometry_)
void | scale (const Geometry &geometry_)
void | segment (const double clusterThreshold_=1.0, const double smoothingThreshold_=1.5)
void | selectiveBlur (const double radius_, const double sigma_, const double threshold_)
void | selectiveBlurChannel (const ChannelType channel_, const double radius_, const double sigma_, const double threshold_)
Image | separate (const ChannelType channel_) const
void | sepiaTone (const double threshold_)
PixelPacket * | setPixels (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void | shade (const double azimuth_=30, const double elevation_=30, const bool colorShading_=false)
void | shadow (const double percent_opacity_=80.0, const double sigma_=0.5, const ssize_t x_=5, const ssize_t y_=5)
void | sharpen (const double radius_=0.0, const double sigma_=1.0)
void | sharpenChannel (const ChannelType channel_, const double radius_=0.0, const double sigma_=1.0)
void | shave (const Geometry &geometry_)
void | shear (const double xShearAngle_, const double yShearAngle_)
void | sigmoidalContrast (const size_t sharpen_, const double contrast, const double midpoint=QuantumRange/2.0)
std::string | signature (const bool force_=false) const
void | sketch (const double radius_=0.0, const double sigma_=1.0, const double angle_=0.0)
void | solarize (const double factor_=50.0)
void | sparseColor (const ChannelType channel, const SparseColorMethod method, const size_t number_arguments, const double *arguments)
void | splice (const Geometry &geometry_)
void | splice (const Geometry &geometry_, const Color &backgroundColor_)
void | splice (const Geometry &geometry_, const Color &backgroundColor_, const GravityType gravity_)
void | spread (const size_t amount_=3)
void | statistics (ImageStatistics *statistics) const
void | stegano (const Image &watermark_)
void | stereo (const Image &rightImage_)
void | strip (void)
Image | subImageSearch (const Image &reference_, const MetricType metric_, Geometry *offset_, double *similarityMetric_, const double similarityThreshold=(-1.0))
void | swirl (const double degrees_)
void | syncPixels (void)
void | texture (const Image &texture_)
void | threshold (const double threshold_)
void | thumbnail (const Geometry &geometry_)
void | tint (const std::string opacity_)
void | transform (const Geometry &imageGeometry_)
void | transform (const Geometry &imageGeometry_, const Geometry &cropGeometry_)
void | transformOrigin (const double x_, const double y_)
void | transformReset (void)
void | transformScale (const double sx_, const double sy_)
void | transparent (const Color &color_)
void | transparentChroma (const Color &colorLow_, const Color &colorHigh_)
void | transpose (void)
void | transverse (void)
void | trim (void)
Image | uniqueColors (void) const
void | unsharpmask (const double radius_, const double sigma_, const double amount_, const double threshold_)
void | unsharpmaskChannel (const ChannelType channel_, const double radius_, const double sigma_, const double amount_, const double threshold_)
void | vignette (const double radius_=0.0, const double sigma_=1.0, const ssize_t x_=0, const ssize_t y_=0)
void | wave (const double amplitude_=25.0, const double wavelength_=150.0)
void | waveletDenoise (const double threshold_, const double softness_)
void | whiteThreshold (const std::string &threshold_)
void | whiteThresholdChannel (const ChannelType channel_, const std::string &threshold_)
void | write (Blob *blob_)
void | write (Blob *blob_, const std::string &magick_)
void | write (Blob *blob_, const std::string &magick_, const size_t depth_)
void | write (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_, const std::string &map_, const StorageType type_, void *pixels_)
void | write (const std::string &imageSpec_)
void | writePixels (const QuantumType quantum_, unsigned char *destination_)
void | zoom (const Geometry &geometry_)
| Image (MagickCore::Image *image_)
MagickCore::Image *& | image (void)
const MagickCore::Image * | constImage (void) const
MagickCore::ImageInfo * | imageInfo (void)
const MagickCore::ImageInfo * | constImageInfo (void) const
Options * | options (void)
const Options * | constOptions (void) const
MagickCore::QuantizeInfo * | quantizeInfo (void)
const MagickCore::QuantizeInfo * | constQuantizeInfo (void) const
void | modifyImage (void)
MagickCore::Image * | replaceImage (MagickCore::Image *replacement_)
void | throwImageException (void) const

## Static Public Member Functions
static void | cacheThreshold (const size_t threshold_)

## Detailed Description

Definition at line 53 of file Image.h.

## Member Typedef Documentation

typedef struct Magick::Image::_ImageChannelStatistics Magick::Image::ImageChannelStatistics

typedef struct Magick::Image::_ImageStatistics Magick::Image::ImageStatistics

## Constructor & Destructor Documentation

Magick::Image::Image | ( | void |  | ) |

Definition at line 78 of file Image.cpp.

Magick::Image::Image | ( | const Blob & | blob_ | ) |

Definition at line 83 of file Image.cpp.

References quiet(), and read().

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_
| ) |  |

Definition at line 101 of file Image.cpp.

References quiet(), and read().

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_
| ) |  |

Definition at line 119 of file Image.cpp.

References quiet(), and read().

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_,
|  | const std::string & | magick_
| ) |  |

Definition at line 138 of file Image.cpp.

References quiet(), and read().

Magick::Image::Image | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const std::string & | magick_
| ) |  |

Definition at line 157 of file Image.cpp.

References quiet(), and read().

Magick::Image::Image | ( | const Geometry & | size_,
|  | const Color & | color_
| ) |  |

Definition at line 176 of file Image.cpp.

References quiet(), read(), and size().

Magick::Image::Image | ( | const Image & | image_ | ) |

Definition at line 201 of file Image.cpp.

Magick::Image::Image | ( | const Image & | image_,
|  | const Geometry & | geometry_
| ) |  |

Definition at line 210 of file Image.cpp.

References constImage(), constOptions(), geometry(), GetPPException, Magick::Geometry::height(), Magick::Image, image(), replaceImage(), ThrowImageException, and Magick::Geometry::width().

Magick::Image::Image | ( | const size_t | width_,
|  | const size_t | height_,
|  | const std::string & | map_,
|  | const StorageType | type_,
|  | const void * | pixels_
| ) |  |

Definition at line 234 of file Image.cpp.

References quiet(), and read().

Magick::Image::Image | ( | const std::string & | imageSpec_ | ) |

Definition at line 252 of file Image.cpp.

References quiet(), and read().

Magick::Image::~Image | ( |  | ) |
| virtual

Definition at line 270 of file Image.cpp.

Magick::Image::Image | ( | MagickCore::Image * | image_ | ) |

Definition at line 5033 of file Image.cpp.

## Member Function Documentation

void Magick::Image::adaptiveBlur | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 1782 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::adaptiveBlurImage::operator()().

void Magick::Image::adaptiveResize | ( | const Geometry & | geometry_ | ) |

Definition at line 1793 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::adaptiveSharpen | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 1815 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::adaptiveSharpenChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 1826 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::adaptiveThreshold | ( | const size_t | width,
|  | const size_t | height,
|  | const ::ssize_t | offset = `0`
| ) |  |

Definition at line 1839 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::adaptiveThresholdImage::operator()().

void Magick::Image::addNoise | ( | const NoiseType | noiseType_ | ) |

Definition at line 1852 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::addNoiseImage::operator()().

void Magick::Image::addNoiseChannel | ( | const ChannelType | channel_,
|  | const NoiseType | noiseType_
| ) |  |

Definition at line 1863 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

void Magick::Image::adjoin | ( | const bool | flag_ | ) |

Definition at line 319 of file Image.cpp.

Referenced by Magick::adjoinImage::operator()().

bool Magick::Image::adjoin | ( | void |  | ) | const

Definition at line 325 of file Image.cpp.

void Magick::Image::affineTransform | ( | const DrawableAffine & | affine | ) |

Definition at line 1876 of file Image.cpp.

References GetPPException, Magick::Image, Magick::DrawableAffine::rx(), Magick::DrawableAffine::ry(), Magick::DrawableAffine::sx(), Magick::DrawableAffine::sy(), ThrowImageException, Magick::DrawableAffine::tx(), and Magick::DrawableAffine::ty().

Referenced by Magick::affineTransformImage::operator()().

void Magick::Image::alphaChannel | ( | AlphaChannelType | alphaType_ | ) |

Definition at line 1897 of file Image.cpp.

void Magick::Image::animationDelay | ( | const size_t | delay_ | ) |

Definition at line 341 of file Image.cpp.

Referenced by main(), and Magick::animationDelayImage::operator()().

size_t Magick::Image::animationDelay | ( | void |  | ) | const

Definition at line 347 of file Image.cpp.

void Magick::Image::animationIterations | ( | const size_t | iterations_ | ) |

Definition at line 352 of file Image.cpp.

Referenced by Magick::animationIterationsImage::operator()().

size_t Magick::Image::animationIterations | ( | void |  | ) | const

Definition at line 358 of file Image.cpp.

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const Geometry & | location_
| ) |  |

Definition at line 1904 of file Image.cpp.

Referenced by main(), and Magick::annotateImage::operator()().

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const Geometry & | boundingArea_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 1910 of file Image.cpp.

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const Geometry & | boundingArea_,
|  | const GravityType | gravity_,
|  | const double | degrees_
| ) |  |

Definition at line 1916 of file Image.cpp.

References DegreesToRadians, Magick::Geometry::height(), Magick::Geometry::isValid(), Magick::Geometry::width(), Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::annotate | ( | const std::string & | text_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 1991 of file Image.cpp.

void Magick::Image::antiAlias | ( | const bool | flag_ | ) |

Definition at line 330 of file Image.cpp.

Referenced by Magick::antiAliasImage::operator()().

bool Magick::Image::antiAlias | ( | void |  | ) | const

Definition at line 336 of file Image.cpp.

void Magick::Image::artifact | ( | const std::string & | name_,
|  | const std::string & | value_
| ) |  |

Definition at line 2012 of file Image.cpp.

std::string Magick::Image::artifact | ( | const std::string & | name_ | ) | const

Definition at line 2019 of file Image.cpp.

void Magick::Image::attenuate | ( | const double | attenuate_ | ) |

Definition at line 363 of file Image.cpp.

void Magick::Image::attribute | ( | const std::string | name_,
|  | const char * | value_
| ) |  |

Definition at line 2030 of file Image.cpp.

Referenced by main().

void Magick::Image::attribute | ( | const std::string | name_,
|  | const std::string | value_
| ) |  |

Definition at line 2036 of file Image.cpp.

std::string Magick::Image::attribute | ( | const std::string | name_ | ) | const

Definition at line 2042 of file Image.cpp.

void Magick::Image::autoGamma | ( | void |  | ) |

Definition at line 2055 of file Image.cpp.

void Magick::Image::autoGammaChannel | ( | const ChannelType | channel_ | ) |

Definition at line 2062 of file Image.cpp.

void Magick::Image::autoLevel | ( | void |  | ) |

Definition at line 2069 of file Image.cpp.

void Magick::Image::autoLevelChannel | ( | const ChannelType | channel_ | ) |

Definition at line 2076 of file Image.cpp.

void Magick::Image::autoOrient | ( | void |  | ) |

Definition at line 2083 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::backgroundColor | ( | const Color & | color_ | ) |

Definition at line 373 of file Image.cpp.

References Magick::Color, and Magick::Color::isValid().

Referenced by main(), and Magick::backgroundColorImage::operator()().

Magick::Color Magick::Image::backgroundColor | ( | void |  | ) | const

Definition at line 385 of file Image.cpp.

void Magick::Image::backgroundTexture | ( | const std::string & | backgroundTexture_ | ) |

Definition at line 390 of file Image.cpp.

Referenced by Magick::backgroundTextureImage::operator()().

std::string Magick::Image::backgroundTexture | ( | void |  | ) | const

Definition at line 396 of file Image.cpp.

size_t Magick::Image::baseColumns | ( | void |  | ) | const

Definition at line 401 of file Image.cpp.

std::string Magick::Image::baseFilename | ( | void |  | ) | const

Definition at line 406 of file Image.cpp.

size_t Magick::Image::baseRows | ( | void |  | ) | const

Definition at line 411 of file Image.cpp.

void Magick::Image::blackPointCompensation | ( | const bool | flag_ | ) |

Definition at line 416 of file Image.cpp.

bool Magick::Image::blackPointCompensation | ( | void |  | ) | const

Definition at line 421 of file Image.cpp.

void Magick::Image::blackThreshold | ( | const std::string & | threshold_ | ) |

Definition at line 2098 of file Image.cpp.

void Magick::Image::blackThresholdChannel | ( | const ChannelType | channel_,
|  | const std::string & | threshold_
| ) |  |

Definition at line 2105 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::blueShift | ( | const double | factor_ = `1.5` | ) |

Definition at line 2115 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::blur | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2127 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::blurImage::operator()().

void Magick::Image::blurChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2138 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

void Magick::Image::border | ( | const Geometry & | geometry_ = `borderGeometryDefault` | ) |

Definition at line 2151 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::borderImage::operator()().

void Magick::Image::borderColor | ( | const Color & | color_ | ) |

Definition at line 426 of file Image.cpp.

References Magick::Color, and Magick::Color::isValid().

Referenced by main(), and Magick::borderColorImage::operator()().

Magick::Color Magick::Image::borderColor | ( | void |  | ) | const

Definition at line 438 of file Image.cpp.

Magick::Geometry Magick::Image::boundingBox | ( | void |  | ) | const

Definition at line 443 of file Image.cpp.

References Magick::Geometry, GetPPException, and ThrowImageException.

void Magick::Image::boxColor | ( | const Color & | boxColor_ | ) |

Definition at line 454 of file Image.cpp.

Referenced by main(), and Magick::boxColorImage::operator()().

Magick::Color Magick::Image::boxColor | ( | void |  | ) | const

Definition at line 460 of file Image.cpp.

void Magick::Image::brightnessContrast | ( | const double | brightness_ = `0.0`,
|  | const double | contrast_ = `0.0`
| ) |  |

Definition at line 2165 of file Image.cpp.

void Magick::Image::brightnessContrastChannel | ( | const ChannelType | channel_,
|  | const double | brightness_ = `0.0`,
|  | const double | contrast_ = `0.0`
| ) |  |

Definition at line 2173 of file Image.cpp.

void Magick::Image::cacheThreshold | ( | const size_t | threshold_ | ) |
| static

Definition at line 465 of file Image.cpp.

References Magick::ResourceLimits::memory().

void Magick::Image::cannyEdge | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`,
|  | const double | lowerPercent_ = `0.1`,
|  | const double | upperPercent_ = `0.3`
| ) |  |

Definition at line 2181 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::cdl | ( | const std::string & | cdl_ | ) |

Definition at line 2195 of file Image.cpp.

Referenced by Magick::cdlImage::operator()().

void Magick::Image::channel | ( | const ChannelType | channel_ | ) |

Definition at line 2202 of file Image.cpp.

Referenced by main(), and Magick::channelImage::operator()().

void Magick::Image::channelDepth | ( | const ChannelType | channel_,
|  | const size_t | depth_
| ) |  |

Definition at line 2209 of file Image.cpp.

size_t Magick::Image::channelDepth | ( | const ChannelType | channel_ | ) |

Definition at line 2217 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::charcoal | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2228 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::charcoalImage::operator()().

void Magick::Image::chop | ( | const Geometry & | geometry_ | ) |

Definition at line 2239 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::chopImage::operator()().

void Magick::Image::chromaBluePrimary | ( | const double | x_,
|  | const double | y_
| ) |  |

Definition at line 2253 of file Image.cpp.

Referenced by Magick::chromaBluePrimaryImage::operator()().

void Magick::Image::chromaBluePrimary | ( | double * | x_,
|  | double * | y_
| ) |  | const

Definition at line 2260 of file Image.cpp.

void Magick::Image::chromaGreenPrimary | ( | const double | x_,
|  | const double | y_
| ) |  |

Definition at line 2266 of file Image.cpp.

Referenced by Magick::chromaGreenPrimaryImage::operator()().

void Magick::Image::chromaGreenPrimary | ( | double * | x_,
|  | double * | y_
| ) |  | const

Definition at line 2273 of file Image.cpp.

void Magick::Image::chromaRedPrimary | ( | const double | x_,
|  | const double | y_
| ) |  |

Definition at line 2279 of file Image.cpp.

Referenced by Magick::chromaRedPrimaryImage::operator()().

void Magick::Image::chromaRedPrimary | ( | double * | x_,
|  | double * | y_
| ) |  | const

Definition at line 2286 of file Image.cpp.

void Magick::Image::chromaWhitePoint | ( | const double | x_,
|  | const double | y_
| ) |  |

Definition at line 2292 of file Image.cpp.

Referenced by Magick::chromaWhitePointImage::operator()().

void Magick::Image::chromaWhitePoint | ( | double * | x_,
|  | double * | y_
| ) |  | const

Definition at line 2299 of file Image.cpp.

void Magick::Image::clamp | ( | void |  | ) |

Definition at line 2305 of file Image.cpp.

void Magick::Image::clampChannel | ( | const ChannelType | channel_ | ) |

Definition at line 2312 of file Image.cpp.

void Magick::Image::classType | ( | const ClassType | class_ | ) |

Definition at line 470 of file Image.cpp.

Magick::ClassType Magick::Image::classType | ( | void |  | ) | const
| inline

Definition at line 1618 of file Image.h.

References constImage().

void Magick::Image::clip | ( | void |  | ) |

Definition at line 2319 of file Image.cpp.

void Magick::Image::clipMask | ( | const Image & | clipMask_ | ) |

Definition at line 492 of file Image.cpp.

References constImage(), and isValid().

Magick::Image Magick::Image::clipMask | ( | void |  | ) | const

Definition at line 502 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::clipPath | ( | const std::string | pathname_,
|  | const bool | inside_
| ) |  |

Definition at line 2326 of file Image.cpp.

void Magick::Image::clut | ( | const Image & | clutImage_ | ) |

Definition at line 2333 of file Image.cpp.

References constImage().

void Magick::Image::clutChannel | ( | const ChannelType | channel_,
|  | const Image & | clutImage_
| ) |  |

Definition at line 2340 of file Image.cpp.

References constImage().

void Magick::Image::colorFuzz | ( | const double | fuzz_ | ) |

Definition at line 517 of file Image.cpp.

Referenced by main(), and Magick::colorFuzzImage::operator()().

double Magick::Image::colorFuzz | ( | void |  | ) | const

Definition at line 524 of file Image.cpp.

void Magick::Image::colorize | ( | const unsigned int | opacity_,
|  | const Color & | penColor_
| ) |  |

Definition at line 2370 of file Image.cpp.

Referenced by Magick::colorizeImage::operator()().

void Magick::Image::colorize | ( | const unsigned int | opacityRed_,
|  | const unsigned int | opacityGreen_,
|  | const unsigned int | opacityBlue_,
|  | const Color & | penColor_
| ) |  |

Definition at line 2348 of file Image.cpp.

References GetPPException, Magick::Image, Magick::Color::isValid(), Magick::throwExceptionExplicit(), and ThrowImageException.

void Magick::Image::colorMap | ( | const size_t | index_,
|  | const Color & | color_
| ) |  |

Definition at line 2376 of file Image.cpp.

References Magick::Color::isValid(), and Magick::throwExceptionExplicit().

Referenced by Magick::colorMapImage::operator()().

Magick::Color Magick::Image::colorMap | ( | const size_t | index_ | ) | const

Definition at line 2395 of file Image.cpp.

References Magick::Color, and Magick::throwExceptionExplicit().

void Magick::Image::colorMapSize | ( | const size_t | entries_ | ) |

Definition at line 529 of file Image.cpp.

References Magick::throwExceptionExplicit().

size_t Magick::Image::colorMapSize | ( | void |  | ) | const

Definition at line 539 of file Image.cpp.

References Magick::throwExceptionExplicit().

void Magick::Image::colorMatrix | ( | const size_t | order_,
|  | const double * | color_matrix_
| ) |  |

Definition at line 2409 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::colorMatrixImage::operator()().

void Magick::Image::colorSpace | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 547 of file Image.cpp.

Referenced by Magick::colorSpaceImage::operator()().

Magick::ColorspaceType Magick::Image::colorSpace | ( | void |  | ) | const

Definition at line 557 of file Image.cpp.

void Magick::Image::colorspaceType | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 562 of file Image.cpp.

Magick::ColorspaceType Magick::Image::colorspaceType | ( | void |  | ) | const

Definition at line 570 of file Image.cpp.

size_t Magick::Image::columns | ( | void |  | ) | const
| inline

Definition at line 1623 of file Image.h.

Referenced by main(), Magick::operator<(), Magick::operator==(), and Magick::PixelData::PixelData().

void Magick::Image::comment | ( | const std::string & | comment_ | ) |

Definition at line 575 of file Image.cpp.

Referenced by Magick::commentImage::operator()().

std::string Magick::Image::comment | ( | void |  | ) | const

Definition at line 584 of file Image.cpp.

bool Magick::Image::compare | ( | const Image & | reference_ | ) |

Definition at line 2434 of file Image.cpp.

References constImage(), and modifyImage().

double Magick::Image::compare | ( | const Image & | reference_,
|  | const MetricType | metric_
| ) |  |

Definition at line 2449 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

Magick::Image Magick::Image::compare | ( | const Image & | reference_,
|  | const MetricType | metric_,
|  | double * | distortion
| ) |  |

Definition at line 2474 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

double Magick::Image::compareChannel | ( | const ChannelType | channel_,
|  | const Image & | reference_,
|  | const MetricType | metric_
| ) |  |

Definition at line 2461 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

Magick::Image Magick::Image::compareChannel | ( | const ChannelType | channel_,
|  | const Image & | reference_,
|  | const MetricType | metric_,
|  | double * | distortion
| ) |  |

Definition at line 2490 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::compose | ( | const CompositeOperator | compose_ | ) |

Definition at line 597 of file Image.cpp.

Referenced by Magick::composeImage::operator()().

Magick::CompositeOperator Magick::Image::compose | ( | void |  | ) | const

Definition at line 602 of file Image.cpp.

void Magick::Image::composite | ( | const Image & | compositeImage_,
|  | const Geometry & | offset_,
|  | const CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

Definition at line 2506 of file Image.cpp.

References constImage(), Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::compositeImage::operator()().

void Magick::Image::composite | ( | const Image & | compositeImage_,
|  | const GravityType | gravity_,
|  | const CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

Definition at line 2525 of file Image.cpp.

References constImage().

void Magick::Image::composite | ( | const Image & | compositeImage_,
|  | const ::ssize_t | xOffset_,
|  | const ::ssize_t | yOffset_,
|  | const CompositeOperator | compose_ = `InCompositeOp`
| ) |  |

void Magick::Image::compressType | ( | const CompressionType | compressType_ | ) |

Definition at line 607 of file Image.cpp.

Referenced by main(), and Magick::compressTypeImage::operator()().

Magick::CompressionType Magick::Image::compressType | ( | void |  | ) | const

Definition at line 614 of file Image.cpp.

void Magick::Image::connectedComponents | ( | const size_t | connectivity_ | ) |

Definition at line 2554 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

const MagickCore::Image * Magick::Image::constImage | ( | void |  | ) | const

Definition at line 5043 of file Image.cpp.

Referenced by Magick::artifactNames(), Magick::attributeNames(), classType(), clipMask(), clut(), clutChannel(), Magick::colorHistogram(), compare(), compareChannel(), composite(), copyPixels(), Magick::cropToTiles(), fillPattern(), Magick::forwardFourierTransformImage(), haldClut(), Image(), Magick::ImageMoments::ImageMoments(), inverseFourierTransform(), map(), Magick::mapImages(), mask(), penTexture(), Magick::profileNames(), Magick::separateImages(), stegano(), stereo(), strokePattern(), subImageSearch(), and texture().

const MagickCore::ImageInfo * Magick::Image::constImageInfo | ( | void |  | ) | const

Definition at line 5053 of file Image.cpp.

const Magick::Options * Magick::Image::constOptions | ( | void |  | ) | const

Definition at line 5063 of file Image.cpp.

Referenced by Image().

const MagickCore::QuantizeInfo * Magick::Image::constQuantizeInfo | ( | void |  | ) | const

Definition at line 5073 of file Image.cpp.

void Magick::Image::contrast | ( | const size_t | sharpen_ | ) |

Definition at line 2565 of file Image.cpp.

Referenced by main(), and Magick::contrastImage::operator()().

void Magick::Image::contrastStretch | ( | const double | black_point_,
|  | const double | white_point_
| ) |  |

Definition at line 2572 of file Image.cpp.

void Magick::Image::contrastStretchChannel | ( | const ChannelType | channel_,
|  | const double | black_point_,
|  | const double | white_point_
| ) |  |

Definition at line 2581 of file Image.cpp.

void Magick::Image::convolve | ( | const size_t | order_,
|  | const double * | kernel_
| ) |  |

Definition at line 2589 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

void Magick::Image::copyPixels | ( | const Image & | source_,
|  | const Geometry & | geometry_,
|  | const Offset & | offset_
| ) |  |

Definition at line 2600 of file Image.cpp.

References constImage(), GetPPException, and ThrowImageException.

void Magick::Image::crop | ( | const Geometry & | geometry_ | ) |

Definition at line 2616 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::cropImage::operator()().

void Magick::Image::cycleColormap | ( | const ::ssize_t | amount_ | ) |

Definition at line 2630 of file Image.cpp.

Referenced by Magick::cycleColormapImage::operator()().

void Magick::Image::debug | ( | const bool | flag_ | ) |

Definition at line 619 of file Image.cpp.

bool Magick::Image::debug | ( | void |  | ) | const

Definition at line 625 of file Image.cpp.

void Magick::Image::decipher | ( | const std::string & | passphrase_ | ) |

Definition at line 2637 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::defineSet | ( | const std::string & | magick_,
|  | const std::string & | key_,
|  | bool | flag_
| ) |  |

Definition at line 2645 of file Image.cpp.

bool Magick::Image::defineSet | ( | const std::string & | magick_,
|  | const std::string & | key_
| ) |  | const

Definition at line 2659 of file Image.cpp.

void Magick::Image::defineValue | ( | const std::string & | magick_,
|  | const std::string & | key_,
|  | const std::string & | value_
| ) |  |

Definition at line 2675 of file Image.cpp.

std::string Magick::Image::defineValue | ( | const std::string & | magick_,
|  | const std::string & | key_
| ) |  | const

Definition at line 2686 of file Image.cpp.

void Magick::Image::density | ( | const Geometry & | geomery_ | ) |

Definition at line 630 of file Image.cpp.

References Magick::Geometry::height(), Magick::Geometry::isValid(), and Magick::Geometry::width().

Referenced by main(), and Magick::densityImage::operator()().

Magick::Geometry Magick::Image::density | ( | void |  | ) | const

Definition at line 650 of file Image.cpp.

References Magick::Geometry.

void Magick::Image::depth | ( | const size_t | depth_ | ) |

Definition at line 670 of file Image.cpp.

Referenced by main(), and Magick::depthImage::operator()().

size_t Magick::Image::depth | ( | void |  | ) | const

Definition at line 677 of file Image.cpp.

void Magick::Image::deskew | ( | const double | threshold_ | ) |

Definition at line 2702 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::despeckle | ( | void |  | ) |

Definition at line 2713 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::despeckleImage::operator()().

Magick::ImageType Magick::Image::determineType | ( | void |  | ) | const

Definition at line 2724 of file Image.cpp.

References GetPPException, and ThrowImageException.

std::string Magick::Image::directory | ( | void |  | ) | const

Definition at line 682 of file Image.cpp.

References Magick::throwExceptionExplicit().

void Magick::Image::display | ( | void |  | ) |

Definition at line 2735 of file Image.cpp.

void Magick::Image::distort | ( | const DistortImageMethod | method_,
|  | const size_t | number_arguments_,
|  | const double * | arguments_,
|  | const bool | bestfit_ = `false`
| ) |  |

Definition at line 2740 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::distortImage::operator()().

void Magick::Image::draw | ( | const Drawable & | drawable_ | ) |

Definition at line 2753 of file Image.cpp.

Referenced by main(), and Magick::drawImage::operator()().

void Magick::Image::draw | ( | const std::list< Magick::Drawable > & | drawable_ | ) |

Definition at line 2775 of file Image.cpp.

void Magick::Image::edge | ( | const double | radius_ = `0.0` | ) |

Definition at line 2803 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::edgeImage::operator()().

void Magick::Image::emboss | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 2814 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::embossImage::operator()().

void Magick::Image::encipher | ( | const std::string & | passphrase_ | ) |

Definition at line 2825 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::endian | ( | const EndianType | endian_ | ) |

Definition at line 693 of file Image.cpp.

Referenced by Magick::endianImage::operator()().

Magick::EndianType Magick::Image::endian | ( | void |  | ) | const

Definition at line 700 of file Image.cpp.

void Magick::Image::enhance | ( | void |  | ) |

Definition at line 2833 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::enhanceImage::operator()().

void Magick::Image::equalize | ( | void |  | ) |

Definition at line 2844 of file Image.cpp.

Referenced by main(), and Magick::equalizeImage::operator()().

void Magick::Image::erase | ( | void |  | ) |

Definition at line 2851 of file Image.cpp.

void Magick::Image::exifProfile | ( | const Blob & | exifProfile_ | ) |

Definition at line 705 of file Image.cpp.

References Magick::Blob::data(), and Magick::Blob::length().

Magick::Blob Magick::Image::exifProfile | ( | void |  | ) | const

Definition at line 720 of file Image.cpp.

void Magick::Image::extent | ( | const Geometry & | geometry_ | ) |

Definition at line 2858 of file Image.cpp.

References GetPPException, Magick::Image, ThrowImageException, Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::extent | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor
| ) |  |

Definition at line 2877 of file Image.cpp.

void Magick::Image::extent | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor,
|  | const GravityType | gravity_
| ) |  |

Definition at line 2884 of file Image.cpp.

void Magick::Image::extent | ( | const Geometry & | geometry_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 2892 of file Image.cpp.

References Magick::Geometry::height(), and Magick::Geometry::width().

void Magick::Image::fileName | ( | const std::string & | fileName_ | ) |

Definition at line 733 of file Image.cpp.

Referenced by Magick::fileNameImage::operator()().

std::string Magick::Image::fileName | ( | void |  | ) | const

Definition at line 750 of file Image.cpp.

off_t Magick::Image::fileSize | ( | void |  | ) | const

Definition at line 755 of file Image.cpp.

void Magick::Image::fillColor | ( | const Color & | fillColor_ | ) |

Definition at line 760 of file Image.cpp.

Referenced by main(), and Magick::fillColorImage::operator()().

Magick::Color Magick::Image::fillColor | ( | void |  | ) | const

Definition at line 766 of file Image.cpp.

void Magick::Image::fillPattern | ( | const Image & | fillPattern_ | ) |

Definition at line 782 of file Image.cpp.

References constImage(), and isValid().

Referenced by fillPattern(), and penTexture().

Magick::Image Magick::Image::fillPattern | ( | void |  | ) | const

Definition at line 791 of file Image.cpp.

References fillPattern(), GetPPException, Magick::Image, replaceImage(), and ThrowImageException.

void Magick::Image::fillRule | ( | const FillRule & | fillRule_ | ) |

Definition at line 771 of file Image.cpp.

Magick::FillRule Magick::Image::fillRule | ( | void |  | ) | const

Definition at line 777 of file Image.cpp.

void Magick::Image::filterType | ( | const FilterTypes | filterType_ | ) |

Definition at line 816 of file Image.cpp.

Referenced by main(), and Magick::filterTypeImage::operator()().

Magick::FilterTypes Magick::Image::filterType | ( | void |  | ) | const

Definition at line 822 of file Image.cpp.

void Magick::Image::flip | ( | void |  | ) |

Definition at line 2905 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::flipImage::operator()().

void Magick::Image::floodFillColor | ( | const Geometry & | point_,
|  | const Color & | fillColor_
| ) |  |

Definition at line 2916 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::floodFillColorImage::operator()().

void Magick::Image::floodFillColor | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const bool | invert_
| ) |  |

Definition at line 2922 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::floodFillColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_
| ) |  |

void Magick::Image::floodFillColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_,
|  | const bool | invert_
| ) |  |

void Magick::Image::floodFillColor | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_
| ) |  |

Definition at line 2946 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::floodFillColor | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_,
|  | const bool | invert_
| ) |  |

Definition at line 2952 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::floodFillColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_
| ) |  |

void Magick::Image::floodFillColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_,
|  | const bool | invert_
| ) |  |

void Magick::Image::floodFillOpacity | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const unsigned int | opacity_,
|  | const bool | invert_ = `false`
| ) |  |

void Magick::Image::floodFillOpacity | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const unsigned int | opacity_,
|  | const PaintMethod | method_
| ) |  |

void Magick::Image::floodFillOpacity | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const unsigned int | opacity_,
|  | const Color & | target_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 3006 of file Image.cpp.

void Magick::Image::floodFillTexture | ( | const Geometry & | point_,
|  | const Image & | texture_
| ) |  |

Definition at line 3028 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by Magick::floodFillTextureImage::operator()().

void Magick::Image::floodFillTexture | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const bool | invert_
| ) |  |

Definition at line 3034 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::floodFillTexture | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_
| ) |  |

void Magick::Image::floodFillTexture | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_,
|  | const bool | invert_
| ) |  |

void Magick::Image::floodFillTexture | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const Color & | borderColor_
| ) |  |

Definition at line 3058 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::floodFillTexture | ( | const Geometry & | point_,
|  | const Image & | texture_,
|  | const Color & | borderColor_,
|  | const bool | invert_
| ) |  |

Definition at line 3064 of file Image.cpp.

References Magick::Geometry::xOff(), and Magick::Geometry::yOff().

void Magick::Image::floodFillTexture | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_,
|  | const Color & | borderColor_
| ) |  |

void Magick::Image::floodFillTexture | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Image & | texture_,
|  | const Color & | borderColor_,
|  | const bool | invert_
| ) |  |

void Magick::Image::flop | ( | void |  | ) |

Definition at line 3090 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::flopImage::operator()().

void Magick::Image::font | ( | const std::string & | font_ | ) |

Definition at line 827 of file Image.cpp.

Referenced by main(), and Magick::fontImage::operator()().

std::string Magick::Image::font | ( | void |  | ) | const

Definition at line 833 of file Image.cpp.

void Magick::Image::fontFamily | ( | const std::string & | family_ | ) |

Definition at line 838 of file Image.cpp.

std::string Magick::Image::fontFamily | ( | void |  | ) | const

Definition at line 844 of file Image.cpp.

void Magick::Image::fontPointsize | ( | const double | pointSize_ | ) |

Definition at line 850 of file Image.cpp.

Referenced by main(), and Magick::fontPointsizeImage::operator()().

double Magick::Image::fontPointsize | ( | void |  | ) | const

Definition at line 856 of file Image.cpp.

void Magick::Image::fontStyle | ( | const StyleType | style_ | ) |

Definition at line 877 of file Image.cpp.

Magick::StyleType Magick::Image::fontStyle | ( | void |  | ) | const

Definition at line 883 of file Image.cpp.

void Magick::Image::fontTypeMetrics | ( | const std::string & | text_,
|  | TypeMetric * | metrics
| ) |  |

Definition at line 3101 of file Image.cpp.

void Magick::Image::fontTypeMetricsMultiline | ( | const std::string & | text_,
|  | TypeMetric * | metrics
| ) |  |

Definition at line 3114 of file Image.cpp.

void Magick::Image::fontWeight | ( | const size_t | weight_ | ) |

Definition at line 888 of file Image.cpp.

size_t Magick::Image::fontWeight | ( | void |  | ) | const

Definition at line 894 of file Image.cpp.

std::string Magick::Image::format | ( | void |  | ) | const

Definition at line 861 of file Image.cpp.

References GetPPException, Magick::throwExceptionExplicit(), and ThrowImageException.

std::string Magick::Image::formatExpression | ( | const std::string | expression | ) |

Definition at line 900 of file Image.cpp.

void Magick::Image::frame | ( | const Geometry & | geometry_ = `frameGeometryDefault` | ) |

Definition at line 3126 of file Image.cpp.

References GetPPException, Magick::Geometry::height(), Magick::Image, ThrowImageException, Magick::Geometry::width(), Magick::Geometry::xOff(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::frameImage::operator()().

void Magick::Image::frame | ( | const size_t | width_,
|  | const size_t | height_,
|  | const ::ssize_t | innerBevel_ = `6`,
|  | const ::ssize_t | outerBevel_ = `6`
| ) |  |

void Magick::Image::fx | ( | const std::string | expression | ) |

Definition at line 3169 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::fx | ( | const std::string | expression,
|  | const Magick::ChannelType | channel
| ) |  |

Definition at line 3181 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

double Magick::Image::gamma | ( | void |  | ) | const

Definition at line 919 of file Image.cpp.

Referenced by main(), and Magick::gammaImage::operator()().

void Magick::Image::gamma | ( | const double | gamma_ | ) |

Definition at line 3194 of file Image.cpp.

void Magick::Image::gamma | ( | const double | gammaRed_,
|  | const double | gammaGreen_,
|  | const double | gammaBlue_
| ) |  |

Definition at line 3205 of file Image.cpp.

void Magick::Image::gaussianBlur | ( | const double | width_,
|  | const double | sigma_
| ) |  |

Definition at line 3219 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::gaussianBlurImage::operator()().

void Magick::Image::gaussianBlurChannel | ( | const ChannelType | channel_,
|  | const double | width_,
|  | const double | sigma_
| ) |  |

Definition at line 3230 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

Magick::Geometry Magick::Image::geometry | ( | void |  | ) | const

Definition at line 924 of file Image.cpp.

References Magick::Geometry, and Magick::throwExceptionExplicit().

Referenced by Image().

const Magick::IndexPacket * Magick::Image::getConstIndexes | ( | void |  | ) | const

Definition at line 3243 of file Image.cpp.

const Magick::PixelPacket * Magick::Image::getConstPixels | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  | const

Definition at line 3255 of file Image.cpp.

References GetPPException, and ThrowImageException.

Magick::IndexPacket * Magick::Image::getIndexes | ( | void |  | ) |

Definition at line 3267 of file Image.cpp.

Magick::PixelPacket * Magick::Image::getPixels | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 3280 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::gifDisposeMethod | ( | const size_t | disposeMethod_ | ) |

Definition at line 934 of file Image.cpp.

Referenced by Magick::gifDisposeMethodImage::operator()().

size_t Magick::Image::gifDisposeMethod | ( | void |  | ) | const

Definition at line 940 of file Image.cpp.

void Magick::Image::grayscale | ( | const PixelIntensityMethod | method_ | ) |

Definition at line 3293 of file Image.cpp.

void Magick::Image::haldClut | ( | const Image & | clutImage_ | ) |

Definition at line 3300 of file Image.cpp.

References constImage().

Referenced by Magick::haldClutImage::operator()().

void Magick::Image::highlightColor | ( | const Color | color_ | ) |

Definition at line 946 of file Image.cpp.

void Magick::Image::houghLine | ( | const size_t | width_,
|  | const size_t | height_,
|  | const size_t | threshold_ = `40`
| ) |  |

Definition at line 3307 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::iccColorProfile | ( | const Blob & | colorProfile_ | ) |

Definition at line 955 of file Image.cpp.

Magick::Blob Magick::Image::iccColorProfile | ( | void |  | ) | const

Definition at line 960 of file Image.cpp.

MagickCore::Image *& Magick::Image::image | ( | void |  | ) |

Definition at line 5038 of file Image.cpp.

Referenced by Image(), and Magick::Pixels::Pixels().

MagickCore::ImageInfo * Magick::Image::imageInfo | ( | void |  | ) |

Definition at line 5048 of file Image.cpp.

void Magick::Image::implode | ( | const double | factor_ | ) |

Definition at line 3320 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::implodeImage::operator()().

void Magick::Image::interlaceType | ( | const InterlaceType | interlace_ | ) |

Definition at line 973 of file Image.cpp.

Referenced by Magick::interlaceTypeImage::operator()().

Magick::InterlaceType Magick::Image::interlaceType | ( | void |  | ) | const

Definition at line 980 of file Image.cpp.

void Magick::Image::interpolate | ( | const InterpolatePixelMethod | interpolate_ | ) |

Definition at line 985 of file Image.cpp.

Magick::InterpolatePixelMethod Magick::Image::interpolate | ( | void |  | ) | const

Definition at line 991 of file Image.cpp.

void Magick::Image::inverseFourierTransform | ( | const Image & | phase_ | ) |

Definition at line 3331 of file Image.cpp.

Referenced by Magick::inverseFourierTransformImage::operator()().

void Magick::Image::inverseFourierTransform | ( | const Image & | phase_,
|  | const bool | magnitude_
| ) |  |

Definition at line 3336 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::iptcProfile | ( | const Blob & | iptcProfile_ | ) |

Definition at line 996 of file Image.cpp.

References Magick::Blob::data(), and Magick::Blob::length().

Magick::Blob Magick::Image::iptcProfile | ( | void |  | ) | const

Definition at line 1011 of file Image.cpp.

bool Magick::Image::isOpaque | ( | void |  | ) | const

Definition at line 1023 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::isValid | ( | const bool | isValid_ | ) |

Definition at line 1034 of file Image.cpp.

References Magick::Geometry.

Referenced by clipMask(), fillPattern(), main(), Magick::mapImages(), mask(), Magick::isValidImage::operator()(), penTexture(), and strokePattern().

bool Magick::Image::isValid | ( | void |  | ) | const

Definition at line 1050 of file Image.cpp.

void Magick::Image::kuwahara | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 3349 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::kuwaharaChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 3360 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::label | ( | const std::string & | label_ | ) |

Definition at line 1055 of file Image.cpp.

Referenced by main(), and Magick::labelImage::operator()().

std::string Magick::Image::label | ( | void |  | ) | const

Definition at line 1064 of file Image.cpp.

void Magick::Image::level | ( | const double | black_point,
|  | const double | white_point,
|  | const double | mid_point = `1.0`
| ) |  |

Definition at line 3373 of file Image.cpp.

Referenced by main(), and Magick::levelImage::operator()().

void Magick::Image::levelChannel | ( | const ChannelType | channel,
|  | const double | black_point,
|  | const double | white_point,
|  | const double | mid_point = `1.0`
| ) |  |

Definition at line 3386 of file Image.cpp.

Referenced by main(), and Magick::levelChannelImage::operator()().

void Magick::Image::levelColors | ( | const Color & | blackColor_,
|  | const Color & | whiteColor_,
|  | const bool | invert_ = `true`
| ) |  |

Definition at line 3394 of file Image.cpp.

void Magick::Image::levelColorsChannel | ( | const ChannelType | channel_,
|  | const Color & | blackColor_,
|  | const Color & | whiteColor_,
|  | const bool | invert_ = `true`
| ) |  |

Definition at line 3425 of file Image.cpp.

void Magick::Image::levelize | ( | const double | blackPoint_,
|  | const double | whitePoint_,
|  | const double | gamma_ = `1.0`
| ) |  |

Definition at line 3456 of file Image.cpp.

void Magick::Image::levelizeChannel | ( | const ChannelType | channel_,
|  | const double | blackPoint_,
|  | const double | whitePoint_,
|  | const double | gamma_ = `1.0`
| ) |  |

Definition at line 3464 of file Image.cpp.

void Magick::Image::linearStretch | ( | const double | blackPoint_,
|  | const double | whitePoint_
| ) |  |

Definition at line 3472 of file Image.cpp.

void Magick::Image::lineWidth | ( | const double | lineWidth_ | ) |
| inline

Definition at line 1628 of file Image.h.

Referenced by Magick::lineWidthImage::operator()().

double Magick::Image::lineWidth | ( | void |  | ) | const
| inline

Definition at line 1632 of file Image.h.

void Magick::Image::liquidRescale | ( | const Geometry & | geometry_ | ) |

Definition at line 3480 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::localContrast | ( | const double | radius_,
|  | const double | strength_
| ) |  |

Definition at line 3502 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::lowlightColor | ( | const Color | color_ | ) |

Definition at line 1077 of file Image.cpp.

void Magick::Image::magick | ( | const std::string & | magick_ | ) |

Definition at line 1086 of file Image.cpp.

Referenced by Magick::magickImage::operator()().

std::string Magick::Image::magick | ( | void |  | ) | const

Definition at line 1104 of file Image.cpp.

void Magick::Image::magnify | ( | void |  | ) |

Definition at line 3513 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::magnifyImage::operator()().

void Magick::Image::map | ( | const Image & | mapImage_,
|  | const bool | dither_ = `false`
| ) |  |

Definition at line 3524 of file Image.cpp.

References constImage().

Referenced by Magick::mapImage::operator()().

void Magick::Image::mask | ( | const Image & | mask_ | ) |

Definition at line 1112 of file Image.cpp.

References constImage(), and isValid().

Magick::Image Magick::Image::mask | ( | void |  | ) | const

Definition at line 1122 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::matte | ( | const bool | matteFlag_ | ) |

Definition at line 1137 of file Image.cpp.

Referenced by main(), and Magick::matteImage::operator()().

bool Magick::Image::matte | ( | void |  | ) | const

Definition at line 1151 of file Image.cpp.

void Magick::Image::matteColor | ( | const Color & | matteColor_ | ) |

Definition at line 1159 of file Image.cpp.

References Magick::Color::isValid().

Referenced by Magick::matteColorImage::operator()().

Magick::Color Magick::Image::matteColor | ( | void |  | ) | const

Definition at line 1179 of file Image.cpp.

References Magick::Color.

void Magick::Image::matteFloodfill | ( | const Color & | target_,
|  | const unsigned int | opacity_,
|  | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const PaintMethod | method_
| ) |  |

Definition at line 3532 of file Image.cpp.

Referenced by Magick::matteFloodfillImage::operator()().

double Magick::Image::meanErrorPerPixel | ( | void |  | ) | const

Definition at line 1185 of file Image.cpp.

void Magick::Image::medianFilter | ( | const double | radius_ = `0.0` | ) |

Definition at line 3540 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::medianFilterImage::operator()().

void Magick::Image::mergeLayers | ( | const ImageLayerMethod | layerType_ | ) |

Definition at line 3552 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::mergeLayersImage::operator()().

void Magick::Image::minify | ( | void |  | ) |

Definition at line 3563 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::minifyImage::operator()().

void Magick::Image::modifyImage | ( | void |  | ) |

Definition at line 5078 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by compare().

void Magick::Image::modulate | ( | const double | brightness_,
|  | const double | saturation_,
|  | const double | hue_
| ) |  |

Definition at line 3574 of file Image.cpp.

Referenced by main(), and Magick::modulateImage::operator()().

void Magick::Image::modulusDepth | ( | const size_t | modulusDepth_ | ) |

Definition at line 1190 of file Image.cpp.

size_t Magick::Image::modulusDepth | ( | void |  | ) | const

Definition at line 1197 of file Image.cpp.

References GetPPException, and ThrowImageException.

Magick::ImageMoments Magick::Image::moments | ( | void |  | ) | const

Definition at line 3588 of file Image.cpp.

void Magick::Image::monochrome | ( | const bool | monochromeFlag_ | ) |

Definition at line 1208 of file Image.cpp.

Referenced by Magick::monochromeImage::operator()().

bool Magick::Image::monochrome | ( | void |  | ) | const

Definition at line 1214 of file Image.cpp.

Magick::Geometry Magick::Image::montageGeometry | ( | void |  | ) | const

Definition at line 1219 of file Image.cpp.

References Magick::throwExceptionExplicit().

void Magick::Image::morphology | ( | const MorphologyMethod | method_,
|  | const std::string | kernel_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3593 of file Image.cpp.

References GetPPException, Magick::Image, Magick::throwExceptionExplicit(), and ThrowImageException.

void Magick::Image::morphology | ( | const MorphologyMethod | method_,
|  | const KernelInfoType | kernel_,
|  | const std::string | arguments_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3614 of file Image.cpp.

References Magick::throwExceptionExplicit().

void Magick::Image::morphologyChannel | ( | const ChannelType | channel_,
|  | const MorphologyMethod | method_,
|  | const std::string | kernel_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3638 of file Image.cpp.

References GetPPException, Magick::Image, Magick::throwExceptionExplicit(), and ThrowImageException.

void Magick::Image::morphologyChannel | ( | const ChannelType | channel_,
|  | const MorphologyMethod | method_,
|  | const KernelInfoType | kernel_,
|  | const std::string | arguments_,
|  | const ssize_t | iterations_ = `1`
| ) |  |

Definition at line 3663 of file Image.cpp.

References Magick::throwExceptionExplicit().

void Magick::Image::motionBlur | ( | const double | radius_,
|  | const double | sigma_,
|  | const double | angle_
| ) |  |

Definition at line 3687 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

void Magick::Image::negate | ( | const bool | grayscale_ = `false` | ) |

Definition at line 3699 of file Image.cpp.

Referenced by main(), and Magick::negateImage::operator()().

void Magick::Image::negateChannel | ( | const ChannelType | channel_,
|  | const bool | grayscale_ = `false`
| ) |  |

Definition at line 3706 of file Image.cpp.

void Magick::Image::normalize | ( | void |  | ) |

Definition at line 3714 of file Image.cpp.

Referenced by main(), and Magick::normalizeImage::operator()().

double Magick::Image::normalizedMaxError | ( | void |  | ) | const

Definition at line 1230 of file Image.cpp.

double Magick::Image::normalizedMeanError | ( | void |  | ) | const

Definition at line 1235 of file Image.cpp.

void Magick::Image::oilPaint | ( | const double | radius_ = `3.0` | ) |

Definition at line 3721 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::oilPaintImage::operator()().

void Magick::Image::opacity | ( | const unsigned int | opacity_ | ) |

Definition at line 3732 of file Image.cpp.

Referenced by Magick::opacityImage::operator()().

void Magick::Image::opaque | ( | const Color & | opaqueColor_,
|  | const Color & | penColor_,
|  | const bool | invert_ = `MagickFalse`
| ) |  |

Definition at line 3737 of file Image.cpp.

References Magick::Color::isValid(), and Magick::throwExceptionExplicit().

Referenced by Magick::opaqueImage::operator()().

Magick::Image & Magick::Image::operator= | ( | const Image & | image_ | ) |

Definition at line 287 of file Image.cpp.

Magick::Options * Magick::Image::options | ( | void |  | ) |

Definition at line 5058 of file Image.cpp.

void Magick::Image::orderedDither | ( | std::string | thresholdMap_ | ) |

Definition at line 3764 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::orderedDitherChannel | ( | const ChannelType | channel_,
|  | std::string | thresholdMap_
| ) |  |

Definition at line 3772 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::orientation | ( | const OrientationType | orientation_ | ) |

Definition at line 1240 of file Image.cpp.

Magick::OrientationType Magick::Image::orientation | ( | void |  | ) | const

Definition at line 1246 of file Image.cpp.

void Magick::Image::page | ( | const Geometry & | pageSize_ | ) |

Definition at line 1251 of file Image.cpp.

Referenced by Magick::pageImage::operator()().

Magick::Geometry Magick::Image::page | ( | void |  | ) | const

Definition at line 1258 of file Image.cpp.

References AbsoluteValue, and Magick::Geometry.

void Magick::Image::penColor | ( | const Color & | penColor_ | ) |

Definition at line 1266 of file Image.cpp.

Referenced by Magick::penColorImage::operator()().

Magick::Color Magick::Image::penColor | ( | void |  | ) | const

Definition at line 1273 of file Image.cpp.

void Magick::Image::penTexture | ( | const Image & | penTexture_ | ) |

Definition at line 1278 of file Image.cpp.

References constImage(), and isValid().

Referenced by main(), and Magick::penTextureImage::operator()().

Magick::Image Magick::Image::penTexture | ( | void |  | ) | const

Definition at line 1287 of file Image.cpp.

References fillPattern(), GetPPException, Magick::Image, replaceImage(), and ThrowImageException.

void Magick::Image::perceptible | ( | const double | epsilon_ | ) |

Definition at line 3782 of file Image.cpp.

void Magick::Image::perceptibleChannel | ( | const ChannelType | channel_,
|  | const double | epsilon_
| ) |  |

Definition at line 3789 of file Image.cpp.

void Magick::Image::ping | ( | const Blob & | blob_ | ) |

Definition at line 3797 of file Image.cpp.

References Magick::Blob::data(), GetPPException, Magick::Image, and Magick::Blob::length().

void Magick::Image::ping | ( | const std::string & | imageSpec_ | ) |

Definition at line 3807 of file Image.cpp.

References GetPPException, and Magick::Image.

void Magick::Image::pixelColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | color_
| ) |  |

Referenced by Magick::pixelColorImage::operator()().

Color Magick::Image::pixelColor | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_
| ) |  | const

void Magick::Image::polaroid | ( | const std::string & | caption_,
|  | const double | angle_
| ) |  |

Definition at line 3867 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::posterize | ( | const size_t | levels_,
|  | const bool | dither_ = `false`
| ) |  |

Definition at line 3880 of file Image.cpp.

void Magick::Image::posterizeChannel | ( | const ChannelType | channel_,
|  | const size_t | levels_,
|  | const bool | dither_ = `false`
| ) |  |

Definition at line 3887 of file Image.cpp.

void Magick::Image::process | ( | std::string | name_,
|  | const ::ssize_t | argc_,
|  | const char ** | argv_
| ) |  |

Definition at line 3896 of file Image.cpp.

Referenced by main().

void Magick::Image::profile | ( | const std::string | name_,
|  | const Blob & | colorProfile_
| ) |  |

Definition at line 3911 of file Image.cpp.

References Magick::Blob::data(), and Magick::Blob::length().

Magick::Blob Magick::Image::profile | ( | const std::string | name_ | ) | const

Definition at line 3925 of file Image.cpp.

void Magick::Image::quality | ( | const size_t | quality_ | ) |

Definition at line 1311 of file Image.cpp.

Referenced by Magick::qualityImage::operator()().

size_t Magick::Image::quality | ( | void |  | ) | const

Definition at line 1318 of file Image.cpp.

void Magick::Image::quantize | ( | const bool | measureError_ = `false` | ) |

Definition at line 3938 of file Image.cpp.

Referenced by main(), and Magick::quantizeImage::operator()().

void Magick::Image::quantizeColors | ( | const size_t | colors_ | ) |

Definition at line 1323 of file Image.cpp.

Referenced by main(), and Magick::quantizeColorsImage::operator()().

size_t Magick::Image::quantizeColors | ( | void |  | ) | const

Definition at line 1329 of file Image.cpp.

void Magick::Image::quantizeColorSpace | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 1334 of file Image.cpp.

Referenced by main(), and Magick::quantizeColorSpaceImage::operator()().

Magick::ColorspaceType Magick::Image::quantizeColorSpace | ( | void |  | ) | const

Definition at line 1341 of file Image.cpp.

void Magick::Image::quantizeDither | ( | const bool | ditherFlag_ | ) |

Definition at line 1346 of file Image.cpp.

Referenced by main(), and Magick::quantizeDitherImage::operator()().

bool Magick::Image::quantizeDither | ( | void |  | ) | const

Definition at line 1352 of file Image.cpp.

void Magick::Image::quantizeDitherMethod | ( | const DitherMethod | ditherMethod_ | ) |

Definition at line 1357 of file Image.cpp.

MagickCore::DitherMethod Magick::Image::quantizeDitherMethod | ( | void |  | ) | const

Definition at line 1363 of file Image.cpp.

MagickCore::QuantizeInfo * Magick::Image::quantizeInfo | ( | void |  | ) |

Definition at line 5068 of file Image.cpp.

void Magick::Image::quantizeTreeDepth | ( | const size_t | treeDepth_ | ) |

Definition at line 1368 of file Image.cpp.

Referenced by Magick::quantizeTreeDepthImage::operator()().

size_t Magick::Image::quantizeTreeDepth | ( | void |  | ) | const

Definition at line 1374 of file Image.cpp.

void Magick::Image::quantumOperator | ( | const ChannelType | channel_,
|  | const MagickEvaluateOperator | operator_,
|  | double | rvalue_
| ) |  |

Definition at line 3952 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main().

void Magick::Image::quantumOperator | ( | const ChannelType | channel_,
|  | const MagickFunction | function_,
|  | const size_t | number_parameters_,
|  | const double * | parameters_
| ) |  |

Definition at line 3960 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::quantumOperator | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_,
|  | const ChannelType | channel_,
|  | const MagickEvaluateOperator | operator_,
|  | const double | rvalue_
| ) |  |

void Magick::Image::quiet | ( | const bool | quiet_ | ) |

Definition at line 1379 of file Image.cpp.

Referenced by Magick::appendImages(), Magick::averageImages(), Magick::colorHistogram(), Magick::combineImages(), Magick::cropToTiles(), Magick::evaluateImages(), Magick::flattenImages(), Magick::forwardFourierTransformImage(), Magick::fxImages(), Magick::ImageMoments::ImageMoments(), Magick::mapImages(), Magick::mergeImageLayers(), Magick::mosaicImages(), Magick::Pixels::Pixels(), Magick::separateImages(), and Magick::smushImages().

bool Magick::Image::quiet | ( | void |  | ) | const

Definition at line 1385 of file Image.cpp.

Referenced by Image().

void Magick::Image::raise | ( | const Geometry & | geometry_ = `raiseGeometryDefault`,
|  | const bool | raisedFlag_ = `false`
| ) |  |

Definition at line 3993 of file Image.cpp.

Referenced by main(), and Magick::raiseImage::operator()().

void Magick::Image::randomThreshold | ( | const Geometry & | thresholds_ | ) |

Definition at line 4005 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main().

void Magick::Image::randomThresholdChannel | ( | const Geometry & | thresholds_,
|  | const ChannelType | channel_
| ) |  |

Definition at line 4014 of file Image.cpp.

References GetPPException, and ThrowImageException.

Referenced by main().

void Magick::Image::read | ( | const Blob & | blob_ | ) |

Definition at line 4024 of file Image.cpp.

References Magick::Blob::data(), GetPPException, Magick::Image, and Magick::Blob::length().

Referenced by Image(), and main().

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_
| ) |  |

Definition at line 4035 of file Image.cpp.

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_
| ) |  |

Definition at line 4041 of file Image.cpp.

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const size_t | depth_,
|  | const std::string & | magick_
| ) |  |

Definition at line 4049 of file Image.cpp.

void Magick::Image::read | ( | const Blob & | blob_,
|  | const Geometry & | size_,
|  | const std::string & | magick_
| ) |  |

Definition at line 4059 of file Image.cpp.

void Magick::Image::read | ( | const Geometry & | size_,
|  | const std::string & | imageSpec_
| ) |  |

Definition at line 4068 of file Image.cpp.

void Magick::Image::read | ( | const size_t | width_,
|  | const size_t | height_,
|  | const std::string & | map_,
|  | const StorageType | type_,
|  | const void * | pixels_
| ) |  |

Definition at line 4074 of file Image.cpp.

References GetPPException, Magick::Image, Magick::throwException(), and ThrowImageException.

void Magick::Image::read | ( | const std::string & | imageSpec_ | ) |

Definition at line 4089 of file Image.cpp.

References GetPPException, and Magick::Image.

void Magick::Image::readPixels | ( | const QuantumType | quantum_,
|  | const unsigned char * | source_
| ) |  |

Definition at line 4101 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::reduceNoise | ( | void |  | ) |
| inline

Definition at line 1637 of file Image.h.

Referenced by main(), and Magick::reduceNoiseImage::operator()().

void Magick::Image::reduceNoise | ( | const double | order_ | ) |

Definition at line 4115 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::renderingIntent | ( | const RenderingIntent | renderingIntent_ | ) |

Definition at line 1390 of file Image.cpp.

Referenced by Magick::renderingIntentImage::operator()().

Magick::RenderingIntent Magick::Image::renderingIntent | ( | void |  | ) | const

Definition at line 1397 of file Image.cpp.

void Magick::Image::repage | ( |  | ) |

Definition at line 4127 of file Image.cpp.

References Magick::Geometry.

MagickCore::Image * Magick::Image::replaceImage | ( | MagickCore::Image * | replacement_ | ) |

Definition at line 5092 of file Image.cpp.

References Magick::Image.

Referenced by Magick::appendImages(), Magick::averageImages(), Magick::combineImages(), Magick::evaluateImages(), fillPattern(), Magick::flattenImages(), Magick::fxImages(), Image(), Magick::mergeImageLayers(), Magick::mosaicImages(), penTexture(), Magick::smushImages(), and strokePattern().

void Magick::Image::resample | ( | const Geometry & | geometry_ | ) |

Definition at line 4137 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::resize | ( | const Geometry & | geometry_ | ) |

Definition at line 4160 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::resizeImage::operator()().

void Magick::Image::resolutionUnits | ( | const ResolutionType | resolutionUnits_ | ) |

Definition at line 1403 of file Image.cpp.

Referenced by Magick::resolutionUnitsImage::operator()().

Magick::ResolutionType Magick::Image::resolutionUnits | ( | void |  | ) | const

Definition at line 1411 of file Image.cpp.

void Magick::Image::roll | ( | const Geometry & | roll_ | ) |

Definition at line 4183 of file Image.cpp.

References GetPPException, Magick::Image, ThrowImageException, Magick::Geometry::xNegative(), Magick::Geometry::xOff(), Magick::Geometry::yNegative(), and Magick::Geometry::yOff().

Referenced by main(), and Magick::rollImage::operator()().

void Magick::Image::roll | ( | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 4203 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::rotate | ( | const double | degrees_ | ) |

Definition at line 4215 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::rotateImage::operator()().

void Magick::Image::rotationalBlur | ( | const double | angle_ | ) |

Definition at line 4226 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::rotationalBlurChannel | ( | const ChannelType | channel_,
|  | const double | angle_
| ) |  |

Definition at line 4237 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

size_t Magick::Image::rows | ( | void |  | ) | const
| inline

Definition at line 1642 of file Image.h.

Referenced by main(), Magick::operator<(), Magick::operator==(), and Magick::PixelData::PixelData().

void Magick::Image::sample | ( | const Geometry & | geometry_ | ) |

Definition at line 4250 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::sampleImage::operator()().

void Magick::Image::scale | ( | const Geometry & | geometry_ | ) |

Definition at line 4272 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::scaleImage::operator()().

void Magick::Image::scene | ( | const size_t | scene_ | ) |

Definition at line 1416 of file Image.cpp.

Referenced by Magick::sceneImage::operator()().

size_t Magick::Image::scene | ( | void |  | ) | const

Definition at line 1422 of file Image.cpp.

void Magick::Image::segment | ( | const double | clusterThreshold_ = `1.0`,
|  | const double | smoothingThreshold_ = `1.5`
| ) |  |

Definition at line 4294 of file Image.cpp.

Referenced by main(), and Magick::segmentImage::operator()().

void Magick::Image::selectiveBlur | ( | const double | radius_,
|  | const double | sigma_,
|  | const double | threshold_
| ) |  |

Definition at line 4306 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::selectiveBlurChannel | ( | const ChannelType | channel_,
|  | const double | radius_,
|  | const double | sigma_,
|  | const double | threshold_
| ) |  |

Definition at line 4319 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Magick::Image Magick::Image::separate | ( | const ChannelType | channel_ | ) | const

Definition at line 4332 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::sepiaTone | ( | const double | threshold_ | ) |

Definition at line 4346 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Magick::PixelPacket * Magick::Image::setPixels | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 4357 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::shade | ( | const double | azimuth_ = `30`,
|  | const double | elevation_ = `30`,
|  | const bool | colorShading_ = `false`
| ) |  |

Definition at line 4370 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::shadeImage::operator()().

void Magick::Image::shadow | ( | const double | percent_opacity_ = `80.0`,
|  | const double | sigma_ = `0.5`,
|  | const ssize_t | x_ = `5`,
|  | const ssize_t | y_ = `5`
| ) |  |

Definition at line 4383 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::shadowImage::operator()().

void Magick::Image::sharpen | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 4395 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::sharpenImage::operator()().

void Magick::Image::sharpenChannel | ( | const ChannelType | channel_,
|  | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`
| ) |  |

Definition at line 4406 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::shave | ( | const Geometry & | geometry_ | ) |

Definition at line 4419 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::shaveImage::operator()().

void Magick::Image::shear | ( | const double | xShearAngle_,
|  | const double | yShearAngle_
| ) |  |

Definition at line 4433 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::shearImage::operator()().

void Magick::Image::sigmoidalContrast | ( | const size_t | sharpen_,
|  | const double | contrast,
|  | const double | midpoint = `QuantumRange/2.0`
| ) |  |

Definition at line 4444 of file Image.cpp.

std::string Magick::Image::signature | ( | const bool | force_ = `false` | ) | const

Definition at line 4453 of file Image.cpp.

Referenced by Magick::operator==().

void Magick::Image::size | ( | const Geometry & | geometry_ | ) |

Definition at line 1427 of file Image.cpp.

References Magick::Geometry::height(), and Magick::Geometry::width().

Referenced by main(), and Magick::sizeImage::operator()().

Magick::Geometry Magick::Image::size | ( | void |  | ) | const

Definition at line 1435 of file Image.cpp.

Referenced by Image().

void Magick::Image::sketch | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`,
|  | const double | angle_ = `0.0`
| ) |  |

Definition at line 4470 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::solarize | ( | const double | factor_ = `50.0` | ) |

Definition at line 4482 of file Image.cpp.

Referenced by main(), and Magick::solarizeImage::operator()().

void Magick::Image::sparseColor | ( | const ChannelType | channel,
|  | const SparseColorMethod | method,
|  | const size_t | number_arguments,
|  | const double * | arguments
| ) |  |

Definition at line 4489 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::splice | ( | const Geometry & | geometry_ | ) |

Definition at line 4503 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::spliceImage::operator()().

void Magick::Image::splice | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor_
| ) |  |

Definition at line 4517 of file Image.cpp.

void Magick::Image::splice | ( | const Geometry & | geometry_,
|  | const Color & | backgroundColor_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 4524 of file Image.cpp.

void Magick::Image::spread | ( | const size_t | amount_ = `3` | ) |

Definition at line 4532 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::spreadImage::operator()().

void Magick::Image::statistics | ( | ImageStatistics * | statistics | ) | const

Definition at line 4543 of file Image.cpp.

References Magick::Image::_ImageStatistics::blue, GetPPException, Magick::Image::_ImageStatistics::green, Magick::Image::_ImageChannelStatistics::kurtosis, Magick::Image::_ImageChannelStatistics::maximum, Magick::Image::_ImageChannelStatistics::mean, Magick::Image::_ImageChannelStatistics::minimum, Magick::Image::_ImageStatistics::opacity, Magick::Image::_ImageStatistics::red, Magick::Image::_ImageChannelStatistics::skewness, Magick::Image::_ImageChannelStatistics::standard_deviation, and ThrowImageException.

void Magick::Image::stegano | ( | const Image & | watermark_ | ) |

Definition at line 4587 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::steganoImage::operator()().

void Magick::Image::stereo | ( | const Image & | rightImage_ | ) |

Definition at line 4598 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::stereoImage::operator()().

void Magick::Image::strip | ( | void |  | ) |

Definition at line 4609 of file Image.cpp.

Referenced by Magick::stripImage::operator()().

void Magick::Image::strokeAntiAlias | ( | const bool | flag_ | ) |

Definition at line 1440 of file Image.cpp.

bool Magick::Image::strokeAntiAlias | ( | void |  | ) | const

Definition at line 1446 of file Image.cpp.

void Magick::Image::strokeColor | ( | const Color & | strokeColor_ | ) |

Definition at line 1451 of file Image.cpp.

Referenced by main(), and Magick::strokeColorImage::operator()().

Magick::Color Magick::Image::strokeColor | ( | void |  | ) | const

Definition at line 1462 of file Image.cpp.

void Magick::Image::strokeDashArray | ( | const double * | strokeDashArray_ | ) |

Definition at line 1467 of file Image.cpp.

const double * Magick::Image::strokeDashArray | ( | void |  | ) | const

Definition at line 1473 of file Image.cpp.

void Magick::Image::strokeDashOffset | ( | const double | strokeDashOffset_ | ) |

Definition at line 1478 of file Image.cpp.

double Magick::Image::strokeDashOffset | ( | void |  | ) | const

Definition at line 1484 of file Image.cpp.

void Magick::Image::strokeLineCap | ( | const LineCap | lineCap_ | ) |

Definition at line 1489 of file Image.cpp.

Magick::LineCap Magick::Image::strokeLineCap | ( | void |  | ) | const

Definition at line 1495 of file Image.cpp.

void Magick::Image::strokeLineJoin | ( | const LineJoin | lineJoin_ | ) |

Definition at line 1500 of file Image.cpp.

Magick::LineJoin Magick::Image::strokeLineJoin | ( | void |  | ) | const

Definition at line 1506 of file Image.cpp.

void Magick::Image::strokeMiterLimit | ( | const size_t | miterLimit_ | ) |

Definition at line 1511 of file Image.cpp.

size_t Magick::Image::strokeMiterLimit | ( | void |  | ) | const

Definition at line 1517 of file Image.cpp.

void Magick::Image::strokePattern | ( | const Image & | strokePattern_ | ) |

Definition at line 1522 of file Image.cpp.

References constImage(), and isValid().

Referenced by strokePattern().

Magick::Image Magick::Image::strokePattern | ( | void |  | ) | const

Definition at line 1531 of file Image.cpp.

References GetPPException, Magick::Image, replaceImage(), strokePattern(), and ThrowImageException.

void Magick::Image::strokeWidth | ( | const double | strokeWidth_ | ) |

Definition at line 1554 of file Image.cpp.

Referenced by main().

double Magick::Image::strokeWidth | ( | void |  | ) | const

Definition at line 1565 of file Image.cpp.

void Magick::Image::subImage | ( | const size_t | subImage_ | ) |

Definition at line 1570 of file Image.cpp.

Referenced by Magick::subImageImage::operator()().

size_t Magick::Image::subImage | ( | void |  | ) | const

Definition at line 1576 of file Image.cpp.

Magick::Image Magick::Image::subImageSearch | ( | const Image & | reference_,
|  | const MetricType | metric_,
|  | Geometry * | offset_,
|  | double * | similarityMetric_,
|  | const double | similarityThreshold = `(-1.0)`
| ) |  |

Definition at line 4616 of file Image.cpp.

References constImage(), GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::subRange | ( | const size_t | subRange_ | ) |

Definition at line 1581 of file Image.cpp.

Referenced by Magick::subRangeImage::operator()().

size_t Magick::Image::subRange | ( | void |  | ) | const

Definition at line 1587 of file Image.cpp.

void Magick::Image::swirl | ( | const double | degrees_ | ) |

Definition at line 4645 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::swirlImage::operator()().

void Magick::Image::syncPixels | ( | void |  | ) |

Definition at line 4656 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::textDirection | ( | DirectionType | direction_ | ) |

Definition at line 1592 of file Image.cpp.

Magick::DirectionType Magick::Image::textDirection | ( | void |  | ) | const

Definition at line 1598 of file Image.cpp.

void Magick::Image::textEncoding | ( | const std::string & | encoding_ | ) |

Definition at line 1603 of file Image.cpp.

std::string Magick::Image::textEncoding | ( | void |  | ) | const

Definition at line 1609 of file Image.cpp.

void Magick::Image::textGravity | ( | GravityType | gravity_ | ) |

Definition at line 1614 of file Image.cpp.

Magick::GravityType Magick::Image::textGravity | ( | void |  | ) | const

Definition at line 1620 of file Image.cpp.

void Magick::Image::textInterlineSpacing | ( | double | spacing_ | ) |

Definition at line 1625 of file Image.cpp.

double Magick::Image::textInterlineSpacing | ( | void |  | ) | const

Definition at line 1631 of file Image.cpp.

void Magick::Image::textInterwordSpacing | ( | double | spacing_ | ) |

Definition at line 1636 of file Image.cpp.

double Magick::Image::textInterwordSpacing | ( | void |  | ) | const

Definition at line 1642 of file Image.cpp.

void Magick::Image::textKerning | ( | double | kerning_ | ) |

Definition at line 1647 of file Image.cpp.

double Magick::Image::textKerning | ( | void |  | ) | const

Definition at line 1653 of file Image.cpp.

void Magick::Image::textUnderColor | ( | const Color & | underColor_ | ) |

Definition at line 1658 of file Image.cpp.

Magick::Color Magick::Image::textUnderColor | ( | void |  | ) | const

Definition at line 1664 of file Image.cpp.

void Magick::Image::texture | ( | const Image & | texture_ | ) |

Definition at line 4663 of file Image.cpp.

References constImage().

Referenced by main(), and Magick::textureImage::operator()().

void Magick::Image::threshold | ( | const double | threshold_ | ) |

Definition at line 4670 of file Image.cpp.

Referenced by main(), and Magick::thresholdImage::operator()().

void Magick::Image::throwImageException | ( | void |  | ) | const

Definition at line 5121 of file Image.cpp.

References Magick::throwException().

void Magick::Image::thumbnail | ( | const Geometry & | geometry_ | ) |

Definition at line 4677 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::tileName | ( | const std::string & | tileName_ | ) |

Definition at line 1669 of file Image.cpp.

Referenced by Magick::tileNameImage::operator()().

std::string Magick::Image::tileName | ( | void |  | ) | const

Definition at line 1675 of file Image.cpp.

void Magick::Image::tint | ( | const std::string | opacity_ | ) |

Definition at line 4699 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

size_t Magick::Image::totalColors | ( | void |  | ) | const

Definition at line 1680 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::transform | ( | const Geometry & | imageGeometry_ | ) |

Definition at line 4711 of file Image.cpp.

Referenced by Magick::transformImage::operator()().

void Magick::Image::transform | ( | const Geometry & | imageGeometry_,
|  | const Geometry & | cropGeometry_
| ) |  |

Definition at line 4718 of file Image.cpp.

void Magick::Image::transformOrigin | ( | const double | x_,
|  | const double | y_
| ) |  |

Definition at line 4727 of file Image.cpp.

void Magick::Image::transformReset | ( | void |  | ) |

Definition at line 4733 of file Image.cpp.

void Magick::Image::transformRotation | ( | const double | angle_ | ) |

Definition at line 1691 of file Image.cpp.

void Magick::Image::transformScale | ( | const double | sx_,
|  | const double | sy_
| ) |  |

Definition at line 4739 of file Image.cpp.

void Magick::Image::transformSkewX | ( | const double | skewx_ | ) |

Definition at line 1697 of file Image.cpp.

void Magick::Image::transformSkewY | ( | const double | skewy_ | ) |

Definition at line 1703 of file Image.cpp.

void Magick::Image::transparent | ( | const Color & | color_ | ) |

Definition at line 4745 of file Image.cpp.

References Magick::Color::isValid(), and Magick::throwExceptionExplicit().

Referenced by main(), and Magick::transparentImage::operator()().

void Magick::Image::transparentChroma | ( | const Color & | colorLow_,
|  | const Color & | colorHigh_
| ) |  |

Definition at line 4765 of file Image.cpp.

References Magick::Color::isValid(), and Magick::throwExceptionExplicit().

void Magick::Image::transpose | ( | void |  | ) |

Definition at line 4790 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::transverse | ( | void |  | ) |

Definition at line 4801 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::trim | ( | void |  | ) |

Definition at line 4812 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by Magick::trimImage::operator()().

void Magick::Image::type | ( | const ImageType | type_ | ) |

Definition at line 1709 of file Image.cpp.

Referenced by Magick::typeImage::operator()().

Magick::ImageType Magick::Image::type | ( | void |  | ) | const

Definition at line 1716 of file Image.cpp.

Magick::Image Magick::Image::uniqueColors | ( | void |  | ) | const

Definition at line 4823 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::unsharpmask | ( | const double | radius_,
|  | const double | sigma_,
|  | const double | amount_,
|  | const double | threshold_
| ) |  |

Definition at line 4837 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main().

void Magick::Image::unsharpmaskChannel | ( | const ChannelType | channel_,
|  | const double | radius_,
|  | const double | sigma_,
|  | const double | amount_,
|  | const double | threshold_
| ) |  |

Definition at line 4850 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::verbose | ( | const bool | verboseFlag_ | ) |

Definition at line 1726 of file Image.cpp.

Referenced by Magick::verboseImage::operator()().

bool Magick::Image::verbose | ( | void |  | ) | const

Definition at line 1732 of file Image.cpp.

void Magick::Image::view | ( | const std::string & | view_ | ) |

Definition at line 1737 of file Image.cpp.

Referenced by Magick::viewImage::operator()().

std::string Magick::Image::view | ( | void |  | ) | const

Definition at line 1743 of file Image.cpp.

void Magick::Image::vignette | ( | const double | radius_ = `0.0`,
|  | const double | sigma_ = `1.0`,
|  | const ssize_t | x_ = `0`,
|  | const ssize_t | y_ = `0`
| ) |  |

Definition at line 4864 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::virtualPixelMethod | ( | const VirtualPixelMethod | virtual_pixel_method_ | ) |

Definition at line 1748 of file Image.cpp.

Magick::VirtualPixelMethod Magick::Image::virtualPixelMethod | ( | void |  | ) | const

Definition at line 1756 of file Image.cpp.

void Magick::Image::wave | ( | const double | amplitude_ = `25.0`,
|  | const double | wavelength_ = `150.0`
| ) |  |

Definition at line 4876 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::waveImage::operator()().

void Magick::Image::waveletDenoise | ( | const double | threshold_,
|  | const double | softness_
| ) |  |

Definition at line 4887 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

void Magick::Image::whiteThreshold | ( | const std::string & | threshold_ | ) |

Definition at line 4900 of file Image.cpp.

void Magick::Image::whiteThresholdChannel | ( | const ChannelType | channel_,
|  | const std::string & | threshold_
| ) |  |

Definition at line 4907 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::write | ( | Blob * | blob_ | ) |

Definition at line 4917 of file Image.cpp.

References GetPPException, Magick::Blob::MallocAllocator, ThrowImageException, and Magick::Blob::updateNoCopy().

Referenced by main().

void Magick::Image::write | ( | Blob * | blob_,
|  | const std::string & | magick_
| ) |  |

Definition at line 4936 of file Image.cpp.

References GetPPException, Magick::Blob::MallocAllocator, ThrowImageException, and Magick::Blob::updateNoCopy().

void Magick::Image::write | ( | Blob * | blob_,
|  | const std::string & | magick_,
|  | const size_t | depth_
| ) |  |

Definition at line 4956 of file Image.cpp.

References GetPPException, Magick::Blob::MallocAllocator, ThrowImageException, and Magick::Blob::updateNoCopy().

void Magick::Image::write | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_,
|  | const std::string & | map_,
|  | const StorageType | type_,
|  | void * | pixels_
| ) |  |

void Magick::Image::write | ( | const std::string & | imageSpec_ | ) |

Definition at line 4988 of file Image.cpp.

void Magick::Image::writePixels | ( | const QuantumType | quantum_,
|  | unsigned char * | destination_
| ) |  |

Definition at line 4996 of file Image.cpp.

References GetPPException, and ThrowImageException.

void Magick::Image::x11Display | ( | const std::string & | display_ | ) |

Definition at line 1761 of file Image.cpp.

Referenced by Magick::x11DisplayImage::operator()().

std::string Magick::Image::x11Display | ( | void |  | ) | const

Definition at line 1767 of file Image.cpp.

double Magick::Image::xResolution | ( | void |  | ) | const

Definition at line 1772 of file Image.cpp.

double Magick::Image::yResolution | ( | void |  | ) | const

Definition at line 1777 of file Image.cpp.

void Magick::Image::zoom | ( | const Geometry & | geometry_ | ) |

Definition at line 5010 of file Image.cpp.

References GetPPException, Magick::Image, and ThrowImageException.

Referenced by main(), and Magick::zoomImage::operator()().

The documentation for this class was generated from the following files:

- Image.h
- Image.cpp